{# Copyright (c) 2017 Jessica Tallon & Matt Molyneaux. This file is part of Inboxen. Licensed under the terms of the GNU AGPL, as published by the FSF, version 3 the or later #}
{% load bootstrap static %}
<!DOCTYPE html>
<html>
    <head>
        {% include "inboxen/includes/favicons.html" %}
        <title>Styleguide</title>
        <meta http-equiv="Content-type" content="text/html; charset=UTF-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />

        <link href="{% static "compiled/website.css" %}" rel="stylesheet" type="text/css" />
        {% block header %}{% endblock %}
    </head>
    <body>
        <div class="container-fluid">
            <h1>Inboxen Styleguide</h1>
            <h2>What is this?</h1>
            <p>This is a style guide for Inboxen. It gives a general overview of the "look and feel" of Inboxen.</p>
        </div>

        <div class="container-fluid">
            <h2>Messages</h2>
            <div id="alertmessages">
            {% for type, tag in message_types %}
                <div class="alert alert-{{ tag }}" role="alert">
                    This is a <b>{{ type }}</b> message
                </div>
            {% endfor %}
            </div>
        </div>
        <div class="container-fluid">
            <h2>Inbox Breadcrumbs</h2>
            <ul class="breadcrumb">
                <li><a>First level</a></li>
                <li><a>Second level</a></li>
                <li class="active">Third level</li>
            </ul>
        </div>
        <div class="container-fluid">
            <h2>Footer</h2>
            <footer id="footer">
                <ul>
                    <li><a>Inboxen is Free Software</a></li>
                    <li><a>Stats for nerds</a></li>
                </ul>
            </footer>
        </div>
        <div class="container-fluid">
            <h2>Nav bar</h2>
            <div id="navbar-container" class="navbar navbar-default">
                <div class="container-fluid">
                    <div class="navbar-header">
                        <a class="navbar-brand">Inboxen</a>
                    </div>
                    <input type="checkbox" id="navbar-collapse-1">
                    <label for="navbar-collapse-1" role="button" class="navbar-toggle collapsed">
                        <span class="sr-only">Toggle navigation</span>
                        <span class="icon-bar" aira-hidden="true"></span>
                        <span class="icon-bar" aira-hidden="true"></span>
                        <span class="icon-bar" aira-hidden="true"></span>
                    </label>
                    <div class="collapse navbar-collapse">
                        <ul class="nav navbar-nav">
                            <li><a>Item 1</a></li>
                            <li><a>Item 2</a></li>
                            <li><a>Item 3</a></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
        <div class="container-fluid">
            <h2>Headings</h2>
            <div class="container-fluid">
                <h1 class="index-heading">Index heading</h1>
                <h1 class="index-subheading">Index subheading</h1>
                <h1>Heading 1 <small>smol 1</small></h1>
                <h2>Heading 2 <small>smol 2</small></h2>
                <h3>Heading 3 <small>smol 3</small></h3>
                <h4>Heading 4 <small>smol 4</small></h4>
                <h5>Heading 5 <small>smol 5</small></h5>
                <h6>Heading 6 <small>smol 6</small></h6>
                <p>Normal text <small>smol text</small></p>
            </div>
        </div>
        <div class="container-fluid">
            <h2>Buttons</h2>
            <button class="btn btn-default">Default button</button>
            <button class="btn btn-primary">Primary button</button>
            <button class="btn btn-info">Info button</button>
            <button class="btn btn-warning">Warning button</button>
            <button class="btn btn-danger">Danger button</button>
            <h3>Button group</h3>
            <div class="inbox-btn-group">
                <button class="btn btn-default"><span class="fa fa-star" aria-hidden="true"></span>Default</button>
                <button class="btn btn-primary"><span class="fa fa-star-o" aria-hidden="true"></span>Primary</button>
                <button class="btn btn-info"><span class="fa fa-trash" aria-hidden="true"></span>Info</button>
                <button class="btn btn-warning"><span class="fa fa-times" aria-hidden="true"></span>Warning</button>
                <button class="btn btn-danger inbox-edit pull-right undo-pull-right-sm"><span class="fa fa-cog" aria-hidden="true"></span>Danger</button>
            </div>
        </div>
        <div class="container-fluid">
            <h2>Panels</h2>
            <div class="row">
                <div class="col-xs-12 col-sm-8 col-sm-offset-2 col-md-6 col-md-offset-3 col-lg-4 col-lg-offset-4">
                    <div class="panel panel-default">
                        <div class="panel-body">
                            <form class="form">
                                {{ form|bootstrap }}
                                <button class="btn btn-primary">Save</button>
                            </form>
                            <hr>
                            <p><a class="btn btn-primary">A link</a></p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="container-fluid">
            <div class="col-xs-12">
            <div class="panel panel-default"><div class="panel-body">
                <h2>
                    <a href="#" class="inherit-colour">A Blog Post</a>
                </h2>
                <p class="text-right" title="2017-01-01"><i>Some date, some time</i></p>
                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit.
                Fusce in tellus gravida, cursus velit at, semper nibh. Nullam
                gravida diam convallis ullamcorper pulvinar. <a>Sed at ipsum</a> a
                nunc dapibus porta. Cras eleifend augue a facilisis dapibus.
                Fusce congue est in enim dapibus luctus. Phasellus ex lorem,
                suscipit et felis nec, fringilla egestas mi. Vestibulum aliquet
                metus lorem, <i>maximus lobortis orci molestie</i> eu. Quisque sed
                purus nec ante rhoncus vulputate ut sit amet enim. Phasellus
                fermentum varius scelerisque. Phasellus blandit imperdiet
                tellus, nec maximus dui tempus sed. Mauris iaculis nunc non
                varius pretium. Aenean suscipit tellus est, finibus lacinia
                justo varius vel.</p>
                <!-- make this a really long line to test (the lack of) line wrap -->
                <pre>Lorem ipsum dolor sit amet, consectetur adipiscing elit.  Fusce in tellus gravida, cursus velit at, semper nibh. Nullam gravida diam convallis ullamcorper pulvinar. Sed at ipsum a nunc dapibus porta. Cras eleifend augue a facilisis dapibus.  Fusce congue est in enim dapibus luctus. Phasellus ex lorem, suscipit et felis nec, fringilla egestas mi. Vestibulum aliquet metus lorem, maximus lobortis orci molestie eu. Quisque sed purus nec ante rhoncus vulputate ut sit amet enim. Phasellus fermentum varius scelerisque. Phasellus blandit imperdiet tellus, nec maximus dui tempus sed. Mauris iaculis nunc non varius pretium. Aenean suscipit tellus est, finibus lacinia justo varius vel.</pre>
            </div></div>
            </div></div>
        <div class="container-fluid">
            <h2>Inbox/Email/Question list</h2>

            <h3>Email list</h3>
            <h4>Normal inbox view</h4>
            <div class="honeydew">
                {% for email in emails %}
                    {% include "inboxen/includes/email_line.html" with eid=email.eid flags=email.get_bools_for_labels inbox=email.inbox.inbox domain=email.inbox.domain.domain received_date=email.received_date subject=email.subject sender=email.sender %}
                {% endfor %}
            </div>
            <h4>Unified inbox view</h4>
            <div class="honeydew">
                {% for email in emails %}
                    {% include "inboxen/includes/email_line.html" with eid=email.eid flags=email.get_bools_for_labels inbox=email.inbox.inbox domain=email.inbox.domain.domain received_date=email.received_date subject=email.subject sender=email.sender unified=True %}
                {% endfor %}
            </div>

            <h3>Inbox list</h3>
            {% with col0="col-md-5 col-xs-8" col2="col-md-2 col-xs-3" col3="col-md-1 col-md-push-4 col-xs-1" col4="col-md-4 col-md-pull-1 col-xs-12" %}
            <div class="honeydew">
                <div class="row title">
                    <div class="{{ col0 }}">Inbox</div>
                    <div class="{{ col2 }}">Last activity</div>
                    <div class="{{ col3 }} hidden-xs hidden-sm">&nbsp;</div>
                    <div class="{{ col4 }} hidden-xs hidden-sm">Description</div>
                </div>
                <div id="unified" class="row">
                    <span class="clickable">
                        <div class="{{ col0 }}">
                            <div class="row">
                                <div class="inbox-name col-xs-12 col-sm-8"><a href="#">Unified Inbox</a></div>
                                <div class="inbox-flags col-xs-12 col-sm-4">
                                    <div class="inline-block__wrapper"><span class="label label-primary" title="New messages">New</span></div>
                                </div>
                            </div>
                        </div>
                    </span>
                    <a class="clickable" href="#">
                        <div class="{{ col2 }}">&nbsp;</div>
                        <div class="{{ col3 }}">&nbsp;</div>
                        <div class="{{ col4 }}">&nbsp;</div>
                    </a>
                </div>
                {% for inbox in inboxes %}
                    {% include "inboxen/includes/inbox_line.html" with inbox=inbox.inbox domain=inbox.domain.domain flags=inbox.get_bools_for_labels last_activity=inbox.last_activity desc=inbox.description %}
                    {% if inbox.form %}
                    <div class="inbox-edit-form-row row">
                        <div class="col-xs-12">
                            {% include "inboxen/forms/inbox/edit.html" with inbox=inbox form=inbox.form %}
                        </div>
                    </div>
                    {% endif %}
                {% endfor %}
            </div>
            {% endwith %}

            <h3>Empty list</h3>
            <div class="honeydew">
                <div class="row empty-message">
                    <span class="clickable">
                        <div class="col-xs-12">This list is <span title="The opposite of full.">empty</span>.</div>
                    </span>
                </div>
            </div>
        </div>
        <div class="container-fluid">
            <h2>MIME part download</h2>
            <div class="attachments">
                {% for attachment in attachments %}
                    {% include "inboxen/includes/attachment.html" with attachment=attachment %}
                {% endfor %}
            </div>
        </div>

        <div class="container-fluid">
            <h2>Email plain text body</h2>
            <div id="email-body">
                <!-- make this a really long line to test line wrap -->
                <pre>Lorem ipsum dolor sit amet, consectetur adipiscing elit.  Fusce in tellus gravida, cursus velit at, semper nibh. Nullam gravida diam convallis ullamcorper pulvinar. Sed at ipsum a nunc dapibus porta. Cras eleifend augue a facilisis dapibus.  Fusce congue est in enim dapibus luctus. Phasellus ex lorem, suscipit et felis nec, fringilla egestas mi. Vestibulum aliquet metus lorem, maximus lobortis orci molestie eu. Quisque sed purus nec ante rhoncus vulputate ut sit amet enim. Phasellus fermentum varius scelerisque. Phasellus blandit imperdiet tellus, nec maximus dui tempus sed. Mauris iaculis nunc non varius pretium. Aenean suscipit tellus est, finibus lacinia justo varius vel.</pre>
            </div>
        </div>
        <div class="container-fluid">
            <h2>Admin emails</h2>
            <div id="admin-html-email">
                <h3>HTML email</h3>
                <iframe
                        srcdoc="{% filter force_escape %}{% include "tickets/new_question_email.html" with question=question admin_url=settings.SITE_URL %}{% endfilter %}">
                </iframe>
            </div>
            <div id="admin-plain-email">
                <h3>Plain email</h3>
                <pre>{% filter force_escape %}{% include "tickets/new_question_email.txt" with question=question admin_url=settings.SITE_URL %}{% endfilter %}</pre>
            </div>
        </div>
    </body>
</html>
